﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_FILTER_ENTRY') 
 CREATE TABLE T_BEA_FILTER_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVAR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREF NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_MAPPING') 
 CREATE TABLE T_BEA_MAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FMAPPINGNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTCMODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVERSE CHAR(1) DEFAULT '0' NOT NULL,
FENTITYNO NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDATATYPENO BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_MAPPING_ENTRY') 
 CREATE TABLE T_BEA_MAPPING_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUIRED CHAR(1) DEFAULT '0' NOT NULL,
FBIZNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVRULE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAGGRFN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIXEDVALUE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_DATATYPE') 
 CREATE TABLE T_BEA_DATATYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FDATATYPENO VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATATYPESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDATATYPEID VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATATYPENAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATATYPEDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FTITLE VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTRUCTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTRUCTURE_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BEA_DATATYPE_ENTRY') 
 CREATE TABLE T_BEA_DATATYPE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FREQUIRED CHAR(1) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEA_table.sql **/
